
Foreman - Bug #4637

remove search by label from all ancestry objects

03/12/2014 07:36 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Search   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently, all ancestry objects (hostgroups, orgs, locations) allow to search by label for background compatibility, however, that

compatibility is required only for hostgroups, and not taxonomies.

this again conflicts with katello, which actually uses the label column in the db, and does not allow them to search based on it.

Related issues:

Blocks Katello - Tracker #4638: Scoped Search Conversion Resolved 03/12/2014

Associated revisions

Revision d8894ebb - 03/12/2014 08:18 AM - Ohad Levy

fixes #4637 - remove search by label from all ancestry objects besides hostgroups

History

#1 - 03/12/2014 07:38 AM - Ohad Levy

- Blocks Tracker #4638: Scoped Search Conversion added

#2 - 03/12/2014 08:27 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Ohad Levy

- Target version set to 1.9.0

- translation missing: en.field_release set to 4

https://github.com/theforeman/foreman/pull/1290

#3 - 03/12/2014 08:31 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset d8894ebb6a767893fcaed0175b5b3bc190ff6555.

Powered by TCPDF (www.tcpdf.org)

05/10/2024 1/1

https://github.com/theforeman/foreman/pull/1290
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/d8894ebb6a767893fcaed0175b5b3bc190ff6555
http://www.tcpdf.org

